<?php
/*
Plugin Name: TungVT Post Views
Plugin URI: https://hiroaz.com
Description: Plugin đếm số lượt xem bài viết và hiển thị ở dưới cùng bài viết.
Version: 1.0
Author: TungVT
Author URI: https://hiroaz.com
License: GPL2
*/

// Đếm số lượt xem bài viết
function tungvt_count_post_views() {
    if (is_single()) {
        $post_id = get_the_ID();
        $views = (int) get_post_meta($post_id, 'post_views', true);
        $views++;
        update_post_meta($post_id, 'post_views', $views);
    }
}
add_action('wp_head', 'tungvt_count_post_views');

// Hiển thị số lượt xem dưới cùng bài viết
function tungvt_show_post_views($content) {
    if (is_single()) {
        $post_views = (int) get_post_meta(get_the_ID(), 'post_views', true);
        $content .= '<p><strong>Lượt xem bài viết:</strong> ' . $post_views . '</p>';
    }
    return $content;
}
add_filter('the_content', 'tungvt_show_post_views');